{% extends 'layouts/interna.twig' %}

{% block conteudo %}
    {% if noticia.contemLinkDeRedirecionamento %}
        <script>
            window.location = "{{ noticia.redirecionarPara }}";
        </script>
    {% endif %}

    {% include 'colunistas/colunista-dados.twig' with{'colunista': colunista} %}

    <div id="conteudoPrincipal">
        {% include 'colunistas/noticia.twig' %}
        <div class="row bloco-cards row-100 mobile">
            {% include 'noticias/cards.twig' with{'mobile': true}%}
        </div>
    </div>

    {% if colunistas|length > 0 %}
        {% include 'colunistas/conheca-tambem.twig' with{'colunistas': colunistas} %}
    {% endif %}

    {% if confiraMais.noticias|length > 0 %}
        <div class="relacionadas">
            <div class="titulo titulo-relacionadas">
                <h2>Últimas publicações de <span>{{ colunista.nome }}</span></h2>
            </div>
            <section class="row row-100">
                <div class="col-12 bloco-1 p-0">
                    <div class="row row-100">
                        {% include 'colunistas/lista.twig' with{
                            'noticias':confiraMais.noticias,
                            'idBloco': 'ultimas-publicacoes'} %}
                    </div>
                </div>
                {% if confiraMais.mostrarBotao %}
                <div class="col-12 text-center">
                    <button class="btn btn-primary" id="ver-mais">Ver mais</button>
                </div>
                {% endif %}
            </section>
        </div>
    {% endif %}
{% endblock %}

{% block lateral %}
    {% include 'colunistas/cards.twig' %}
{% endblock %}

{% block jsExtra %}
    {% include 'includes/scriptHotjar.twig' %}
    <script>
        /**
         * @type Array
         */
        var ANUNCIOS = {{ anuncios|raw }};

        (function inserirAnuncio() {
            var hasAnuncioMateria = ANUNCIOS.some(function (anuncio) {
                return anuncio.area === 'anuncio-noticia'
            });

            if (hasAnuncioMateria) {
                criarDiv().insertAfter('.conteudo > p:nth-child(2)');
            }

            function criarDiv() {
                var html = '<div class="break-com-texto">Continua após anúncio</div>';
                html += '<div class="anuncio banner-noticia" id="anuncio-noticia"><div class="anuncio-conteudo"></div></div>';
                html += '<div class="break-com-texto">Fim do anúncio</div><br>';
                return $(html);
            }

            function getId() {
                var larguraDaTela = $(window).width();
                var modoPaisagem = $(window).height() > larguraDaTela;
                var exibirAnuncioMobile = isMobile() && larguraDaTela <= 768 && modoPaisagem;
                return exibirAnuncioMobile
                    ? 'anuncio-noticia-mobile'
                    : 'anuncio-noticia-desktop';
            }
        })();

        {% if confiraMais.mostrarBotao %}
        Colunista.verMaisNoticias({
            url: "{{ url }}",
            idUsuario:{{ noticia.idUsuario }},
            offset: {{ quantidadeNoticiasColunista }},
            idNoticiaAtual: {{ noticia.id }}
        });
        {% endif %}

        configurarAnuncios(ANUNCIOS, false);
        $.post("{{ urlApiAcesso }}");
    </script>
    <script>
        function isMobile() {
            var a = navigator.userAgent || navigator.vendor || window.opera;
            return (/(android|bb\d+|meego).+mobile|avantgo|bada\/|blackberry|blazer|compal|elaine|fennec|hiptop|iemobile|ip(hone|od)|iris|kindle|lge |maemo|midp|mmp|mobile.+firefox|netfront|opera m(ob|in)i|palm( os)?|phone|p(ixi|re)\/|plucker|pocket|psp|series(4|6)0|symbian|treo|up\.(browser|link)|vodafone|wap|windows ce|xda|xiino/i.test(a) || /1207|6310|6590|3gso|4thp|50[1-6]i|770s|802s|a wa|abac|ac(er|oo|s\-)|ai(ko|rn)|al(av|ca|co)|amoi|an(ex|ny|yw)|aptu|ar(ch|go)|as(te|us)|attw|au(di|\-m|r |s )|avan|be(ck|ll|nq)|bi(lb|rd)|bl(ac|az)|br(e|v)w|bumb|bw\-(n|u)|c55\/|capi|ccwa|cdm\-|cell|chtm|cldc|cmd\-|co(mp|nd)|craw|da(it|ll|ng)|dbte|dc\-s|devi|dica|dmob|do(c|p)o|ds(12|\-d)|el(49|ai)|em(l2|ul)|er(ic|k0)|esl8|ez([4-7]0|os|wa|ze)|fetc|fly(\-|_)|g1 u|g560|gene|gf\-5|g\-mo|go(\.w|od)|gr(ad|un)|haie|hcit|hd\-(m|p|t)|hei\-|hi(pt|ta)|hp( i|ip)|hs\-c|ht(c(\-| |_|a|g|p|s|t)|tp)|hu(aw|tc)|i\-(20|go|ma)|i230|iac( |\-|\/)|ibro|idea|ig01|ikom|im1k|inno|ipaq|iris|ja(t|v)a|jbro|jemu|jigs|kddi|keji|kgt( |\/)|klon|kpt |kwc\-|kyo(c|k)|le(no|xi)|lg( g|\/(k|l|u)|50|54|\-[a-w])|libw|lynx|m1\-w|m3ga|m50\/|ma(te|ui|xo)|mc(01|21|ca)|m\-cr|me(rc|ri)|mi(o8|oa|ts)|mmef|mo(01|02|bi|de|do|t(\-| |o|v)|zz)|mt(50|p1|v )|mwbp|mywa|n10[0-2]|n20[2-3]|n30(0|2)|n50(0|2|5)|n7(0(0|1)|10)|ne((c|m)\-|on|tf|wf|wg|wt)|nok(6|i)|nzph|o2im|op(ti|wv)|oran|owg1|p800|pan(a|d|t)|pdxg|pg(13|\-([1-8]|c))|phil|pire|pl(ay|uc)|pn\-2|po(ck|rt|se)|prox|psio|pt\-g|qa\-a|qc(07|12|21|32|60|\-[2-7]|i\-)|qtek|r380|r600|raks|rim9|ro(ve|zo)|s55\/|sa(ge|ma|mm|ms|ny|va)|sc(01|h\-|oo|p\-)|sdk\/|se(c(\-|0|1)|47|mc|nd|ri)|sgh\-|shar|sie(\-|m)|sk\-0|sl(45|id)|sm(al|ar|b3|it|t5)|so(ft|ny)|sp(01|h\-|v\-|v )|sy(01|mb)|t2(18|50)|t6(00|10|18)|ta(gt|lk)|tcl\-|tdg\-|tel(i|m)|tim\-|t\-mo|to(pl|sh)|ts(70|m\-|m3|m5)|tx\-9|up(\.b|g1|si)|utst|v400|v750|veri|vi(rg|te)|vk(40|5[0-3]|\-v)|vm40|voda|vulc|vx(52|53|60|61|70|80|81|83|85|98)|w3c(\-| )|webc|whit|wi(g |nc|nw)|wmlb|wonu|x700|yas\-|your|zeto|zte\-/i.test(a.substr(0, 4)));
        }

        if (isMobile()) {
            $('.whatsapp').css('display', 'flex');
        }
    </script>
    {% if noticia.possuiVideoDaTV %}
        <script>
            salvarAcessoAoPrograma({{ noticia.getVideo.id }}, true);
        </script>
    {% endif %}

    {% if noticia.temGaleria %}
        <script src="//cdnjs.cloudflare.com/ajax/libs/fotorama/4.6.4/fotorama.min.js"></script>
        <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
    {% endif %}
    {% if noticia.isTempoReal %}
        <script>
            configurarVue({{ noticia.id }});
        </script>
    {% endif %}
{% endblock %}
